Bug 1276242 - [abrt] upower: g_value_unset(): upowerd killed by SIGABRT
[abrt] upower: g_value_unset(): upowerd killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: upower (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7c3df3276e812caa3d90f7733f1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 04:40 EDT by lennart_reuther
Modified: 2016-12-20 10:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:13:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.64 KB, text/plain)
2015-10-29 04:40 EDT, lennart_reuther
no flags Details
File: cgroup (192 bytes, text/plain)
2015-10-29 04:40 EDT, lennart_reuther
no flags Details
File: core_backtrace (8.56 KB, text/plain)
2015-10-29 04:40 EDT, lennart_reuther
no flags Details
File: dso_list (4.07 KB, text/plain)
2015-10-29 04:40 EDT, lennart_reuther
no flags Details
File: environ (72 bytes, text/plain)
2015-10-29 04:40 EDT, lennart_reuther
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-29 04:40 EDT, lennart_reuther
no flags Details
File: maps (18.73 KB, text/plain)
2015-10-29 04:40 EDT, lennart_reuther
no flags Details
File: mountinfo (3.26 KB, text/plain)
2015-10-29 04:40 EDT, lennart_reuther
no flags Details
File: open_fds (673 bytes, text/plain)
2015-10-29 04:40 EDT, lennart_reuther
no flags Details
File: proc_pid_status (976 bytes, text/plain)
2015-10-29 04:41 EDT, lennart_reuther
no flags Details
File: var_log_messages (12.98 KB, text/plain)
2015-10-29 04:41 EDT, lennart_reuther
no flags Details

  None (edit)
Description lennart_reuther 2015-10-29 04:40:40 EDT
Version-Release number of selected component:
upower-0.99.3-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/upowerd
crash_function: g_value_unset
executable:     /usr/libexec/upowerd
global_pid:     11243
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #7 g_value_unset at gvalue.c:272
 #8 g_object_get_valist at gobject.c:2241
 #9 g_object_get at gobject.c:2320
 #10 start_poll_cb at up-device-idevice.c:79

Potential duplicate: bug 1231770
Comment 1 lennart_reuther 2015-10-29 04:40:44 EDT
Created attachment 1087412 [details]
File: backtrace
Comment 2 lennart_reuther 2015-10-29 04:40:46 EDT
Created attachment 1087413 [details]
File: cgroup
Comment 3 lennart_reuther 2015-10-29 04:40:48 EDT
Created attachment 1087414 [details]
File: core_backtrace
Comment 4 lennart_reuther 2015-10-29 04:40:50 EDT
Created attachment 1087415 [details]
File: dso_list
Comment 5 lennart_reuther 2015-10-29 04:40:51 EDT
Created attachment 1087416 [details]
File: environ
Comment 6 lennart_reuther 2015-10-29 04:40:53 EDT
Created attachment 1087417 [details]
File: limits
Comment 7 lennart_reuther 2015-10-29 04:40:55 EDT
Created attachment 1087418 [details]
File: maps
Comment 8 lennart_reuther 2015-10-29 04:40:56 EDT
Created attachment 1087419 [details]
File: mountinfo
Comment 9 lennart_reuther 2015-10-29 04:40:58 EDT
Created attachment 1087420 [details]
File: open_fds
Comment 10 lennart_reuther 2015-10-29 04:41:00 EDT
Created attachment 1087421 [details]
File: proc_pid_status
Comment 11 lennart_reuther 2015-10-29 04:41:02 EDT
Created attachment 1087422 [details]
File: var_log_messages
Comment 12 lennart_reuther 2016-01-11 18:50:25 EST
Another user experienced a similar problem:

connecting iPhone4 (iOS7) via USB 

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/upowerd
crash_function: g_value_unset
executable:     /usr/libexec/upowerd
global_pid:     1351
kernel:         4.3.3-300.fc23.x86_64
package:        upower-0.99.3-2.fc23
reason:         upowerd killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            0
Comment 13 Daniel 2016-03-06 11:51:58 EST
This happens when you connect a iOS device but don’t have `libimobiledevice-utils` installed but do have `libimobiledevice` installed. `libimobiledevice-utils`is not installed by default, but `libimobiledevice`. See Ubuntu bug https://bugs.launchpad.net/ubuntu/+source/upower/+bug/1305699
Comment 14 Fedora End Of Life 2016-11-24 07:57:46 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 10:13:35 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.